Skip to main content
POST
/
v1
/
operations
Create a new analysis operation
curl --request POST \
  --url https://api-mycroft.sherlocker.com.br/api/v1/v1/operations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'file=<string>' \
  --form 'cedenteCnpj=<string>' \
  --form engineId=3c90c3cc-0d44-4b50-8888-8dd25736052a \
  --form 'xmls=<string>'
{
  "operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
file
string
required

CNAB 400 remessa file (binary)

cedenteCnpj
string
required

CNPJ of the cedente (14 digits or formatted)

engineId
string<uuid>

Engine ID to use (defaults to template engine)

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
xmls
string

Optional ZIP file containing NFe XML files (binary). When provided, NFe rules will use XML-sourced data instead of querying the Sherlocker NFe API. The ZIP must contain at least one .xml file with standard nfeProc structure.

Response

Operation created and queued for processing

operationId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
status
string
required
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$